---
title: "operator-sdk run bundle-upgrade"
---
## operator-sdk run bundle-upgrade

Upgrade an Operator previously installed in the bundle format with OLM

### Synopsis

Upgrade an Operator previously installed in the bundle format with OLM

```
operator-sdk run bundle-upgrade <bundle-image> [flags]
```

### Options

```
      --timeout duration    upgrade timeout (default 2m0s)
      --kubeconfig string   Path to the kubeconfig file to use for CLI requests.
  -n, --namespace string    If present, namespace scope for this CLI request
  -h, --help                help for bundle-upgrade
```

### Options inherited from parent commands

```
      --verbose   Enable verbose logging
```

### SEE ALSO

* [operator-sdk run](../operator-sdk_run)	 - Run an Operator in a variety of environments

